complexType "ServiceAdvisory"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 4 elements
Defined: | globally in fpml-msg-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | category?, description?, effectiveFrom?, effectiveTo?
</...>

Content Model Elements (4):

  category (in advisory), description (in advisory), | effectiveFrom, effectiveTo

All Direct / Indirect Based Elements (1):

  advisory

Known Usage Locations

- As direct type of elements (1):
  advisory

Annotation
A type defining the content model for a human-readable notification to the users of a service.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="ServiceAdvisory"> <xsd:sequence> <xsd:element minOccurs="0" name="category" type="ServiceAdvisoryCategory"/> <xsd:element minOccurs="0" name="description" type="xsd:string"/> <xsd:element minOccurs="0" name="effectiveFrom" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="effectiveTo" type="xsd:dateTime"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
category

  Type: | ServiceAdvisoryCategory, simple content

  The category or type of the notification message, e.g. availability, product coverage, rules, etc.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="category" type="ServiceAdvisoryCategory"/>

description

  Type: | xsd:string, predefined, simple content

  A human-readable notification.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="description" type="xsd:string"/>

effectiveFrom

  Type: | xsd:dateTime, predefined, simple content

  The time at which the information supplied by the advisory becomes effective. For example, if the advisory advises of a newly planned service outage, it will be the time the service outage begins.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveFrom" type="xsd:dateTime"/>

effectiveTo

  Type: | xsd:dateTime, predefined, simple content

  The time at which the information supplied by the advisory becomes no longer effective. For example, if the advisory advises of a newly planned service outage, it will be the time the service outage ends.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveTo" type="xsd:dateTime"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.